Can I use Solaris with my Home Recording Studio?

Hello,
I am currently building a basic home recording studio. I recently assembled a new computer and will be purchasing music recording equipment very soon. Before I purchase the audio recording gear, I was curious about a few things pertaining to the use of Solaris as my possible choice system.
The data that I store on my hard drives will need to be secure. I had originally considered RAID 5 though recently found out about RAID Z, which appears to be far ahead of the other RAIDs. I am curious to know more about how to set up a RAID Z system.
The computer will be running Solaris, various Linux or BSD, and Windows Vista. I have 500GB x4 hard drives. I am considering separating one and using it strictly for Vista, and using the remaining 3 with a RAID set-up for nix. If I had a choice, I would put much less hard drive space into Vista (capping it at 150 to 200 GB), though I have yet to come across a RAID system that effectively or efficiently cooperates cross-platform. With that in mind, the majority of the remaining 1.5TB can go into my studio OS - hopefully Solaris - while left-over hard drive space is set aside for various other *nix.
I've used Solaris 10 before, though haven't really gone into detail on the mechanics of such features as ZFS, zones, now RAID Z, and the many more amazing features that Solaris provides. Likewise, I am not really familiar with how well the system might operate with software/applications that I could use for recording and composing music.
Beyond the available 2TB (or 1.5TB RAID-ready) space, my computer is running on a new 64-bit quad-core AMD CPU (~2.6GHz) and currently has 4GB 1066MHz RAM. In my search for preparing a computer that suits me for high performance recording - including the editing and mastering of audio - I am attempting to narrow down my options on the software side of things. I have been very satisfied with the general file management of Solaris, though am unsure of how well it might run as the software side of a home recording studio. An additional factor in deciding will be the software's compatbility with audio PCI cards and external recording/audio interfaces. There is always a question of whether or not the necessary drivers, firmware, or similar is available between any given hardware and software components.
Some other *nix options I have considered - "Ubuntu Studio 64-bit" (though it appears to prefer 32-bit) and "64 Studio" (also Debian-based, though appears to be optimized for 64-bit). Some colleagues have used Gentoo with studio applications, though I don't know of any Linux distributions that offer the versatility, power, stability, and efficiency of Solaris for the operating system that it is.
If I use something like "64 Studio", I will have the advantage of a system that is ready-built for studio recording purposes as well as a system that I know is compatible with the sound gear that I am considering purchasing. However, those systems are restricted by their file system types, RAID availability and dependability, and the general disadvantages of using the Linux kernel in general. (I enjoy Linux, though I admittedly prefer Unix over it.)
Can I use Solaris with my home recording studio?
Thank you!
Edited by: the_professor on Nov 9, 2008 6:26 PM
Corrected a typo.
Edited by: the_professor on Nov 9, 2008 6:30 PM
Caught another typo.

I'm not sure what your question is. If you have particular software you want to run, you should see what you can get that package to run under. Sound hw stuff don't tend to be too portable unless it's written on top of OSS (htttp://www.opensound.com). Were I you, I'd consider separating out the storage part and the processing part. Get something like a cheap dell sc440 to be a file server and give the drives to that (unless you actually can get all the components working under solaris).
-r

Similar Messages

  • How can i use ipad with apple tv

    How can i use ipad with appletv

    Assuming both devices are on the same network and that AirPlay is not turned off on the Apple TV, then simply tap on the screen when you are watching content you wish to stream to your Apple TV, then tap the airplay icon that appears in the control bar, choose the Apple TV from the menu that appears.
    When displaying the content you wish to mirror on the iPad 2 (or better), iPad Mini, iPhone 4S (or better), double tap the home button (quickly) and swipe the bottom row of apps to the right to reveal the playback controls, tap the AirPlay icon and select your Apple TV from the list of available devices.

  • Can you use IMAP with the ipads mail feature?

    Can you use IMAP with the ipads mail feature?

    Kappy,
    Yes, our domain and email accounts are on a server that does accept IMAP. Also, our mac mini and imacs are all set up for IMAP. Buying an ipad will enable me to work from home during this winter.
    Another ?: do you know if you can use text edit with the iPads mail feature? Reason being we have about 100 generic emails that all we have to do is change a few fields before sending out. Can this be integrated in without having to recreate all these messages?
    -TIM

  • Can i use Microsoft Windows 7 Home Premium SP1 64-bit - OEM for bootcamp?

    Someone suggested to use
    Microsoft Windows 7 Home Premium SP1 64-bit - OEM for bootcamp.
    Can i use Microsoft Windows 7 Home Premium SP1 64-bit - OEM to use in bootcamp to install windows 7 on my mac book pro 13 inch?
    thank you.
    PS: i bought my macbook pro 3 weeks ago.
    Also, is there any other windows 7 installation CD that is cheaper?
    thank you.

    Yes.
    OEM just means that the Windows OS is dedicated to that computer only. If you sell, replace or throw away the computer you use it on, the Windows CD/DVD goes along with it. (According to the Licensing dialog)
    Just do a Yahoo/Google search for prices is the only way to find it cheaper. Or keep an eye on your favorite web store for sales.
    If you are in college and have an .edu e-mail account thru the college then Microsoft has it for about $30 US. And other deals also.

  • Can I use the PLEK500 Powerline Home Plug AV2 to cascade two EA6700 routers, plus?

    Can I use the PLEK500 Powerline Home Plug AV2 to cascade two EA6700 routers?  In otherwords, can I connect my “main router” to a PLEK500 on the third floor . . . then plug in another PLEK500 in the basement (same power lines) and use the Ethernet socket on the PLEK500 to plug into the second EA6700 in a LAN to LAN cascade?  And, if so, can I also use that second EA6700 to run an Ethernet cable to an access point at one end of the house and a different Ethernet cable underground to an out building where I can connect a third EA6700? Finally, from there to a second out building by connecting an Ethernet cable from the third router, underground again, to a 4th EA6700 in the second out building?  All connected LAN to LAN to the main router?  My problem in a nutshell: the main router is on the third floor with no way to run Ethernet cable to the rest of the house.  If I can make the first cascade via the PLEK500 to the basement router, I have access to run an Ethernet cable, via underground pipe, from the basement to the first out building and from that building to the second out building.  I need wireless access to the lower floors of the main house as well as the two out buildings.

    Yes, that is theoretically possible. You just need to make sure that you are using the same circuit for those two power lines to work. You could also refer to this link: http://kb.linksys.com/Linksys/ukp.aspx?vw=1&docid=83217d7598ad44d68d9cc60f1cea9887_Different_ways_in... for different ways on how to configure a router.

  • HT204389 can i use siri with my bluetooth?

    Can I use Siri with my bluetooth, such as telling it to answer an incoming call or to dial someone?  what about asking Siri to find the nearest gas station type of question?

    Then I must be doing something wrong!  I have a plantronics bt; when i have a call coming in, i hear 'do you want to answer or ignore?'  I answer by just speaking and it does not hear me.  I have tried it in my car and in my home, as well as when i am walking the dog. 
    any suggestions??

  • Can i sync up with my home computer, as the firefox updates ruin all my bookmarks...so none of them are saved

    everytime firefox updates, it ruins all my bookmarks.
    this didn't happen in the recent distant past...
    very tired of this
    can i sync up with my home and get all the bookmarks
    i obviously dont want to ruin my home listing so how can i ensure this works.
    WHAT HAPPENED TO FAST DIAL...SO MUCH cleaner then all those dump tabs on the menu line...please fix.

    You should copy your iTunes library from the older computer to your new laptop using one of the methods described in this Apple support document.
    iTunes: How to move your music to a new computer
    Or if you would like you can use your iPod to move your iTunes library as well, assuming it's a model that supports Disk Mode (meaning it's not an iPod Touch, iPhone, or iPad).
    How to use your iPod to move your music to a new computer
    B-rock

  • I ordered my Macbook Air with Aperture two years ago. I now have an iMac - can I use that with Aperture in any way?

    I ordered my Macbook Air with Aperture two years ago. I now have an iMac - can I use that with Aperture in any way? I appreciate that it is a different computer but I am now the end user of both devices and I was just wondering if it was possible.
    Thanks,
    Sean

    The answer would be in your software license agreement for Aperture. However if you cannot locate it you can ask in the Aperture forum, the link for that is:
    https://discussions.apple.com/community/professional_applications/aperture
    However I believe you can have Aperture installed on two machines however only one may be using it at a time.
    On the new iMac launch the Mac App Store - Purchased - look for Aperture and download to your new machine.

  • I installed 5 but now I can't use it with Mac osx - how do I go back to my old version?!

    I was prompted to install Firefox 5 on my Mac. Now when I try to open it says I can't use Firefox with osx. How do I go back to using the previous version - has it been written over? My previous version was fine!

    Firefox 4 requires at least OS X 10.5 and an Intel Mac. There is a third party version of Firefox 4 that runs on OS X 10.4/10.5 and PPC Macs, for details see http://www.floodgap.com/software/tenfourfox
    If you prefer, you can get the latest version of Firefox 3.6 from http://www.mozilla.com/en-US/firefox/all-older.html
    Mozilla are working to prevent Mac users with non-compatible systems from getting the notification about Firefox 4, and also not displaying the "Download Firefox 4" button on http://www.mozilla.com

  • I gave my old iPad to my daughter without restoring it to original configuration, how can she use it with her iTunes?

    I gave my old iPad to my daughter without restoring it to original configuration, how can she use it with her iTunes?

    try
    http://support.apple.com/kb/ht2589

  • How can I use LCCS with ActionScript 3 and Flash CS4?

    Hi,
    Using Stratus I was able to create an an application using Action Script 3 and Flash CS4.  The sample code on the Adobe site was quite straight forward and easy to understand.  I now want to switch over to  LCCS but can't find anything any where on how to use Action Script 3 and Flash CS4 with LCCS.  Do I need to know Flex to be able to use LCCS?  Everything was quite simple and easy to understand with Stratus and makes complete sense.  But LCCS is really confusing.  Is there any sample code on how to establish a connection in Action Script 3 and then stream from a webcam to a client.  There is nothing in the  LCCS SDK that covers Flash and Action Script 3.  Please help!  I found the link below on some forum but it takes me nowhere.
    http://www.adobe.com/cfusion/webforums/forum/messageview.cfm?forumid=72&catid=75 9&threadid=1407833&enterthread=y

    Thanks Arun!
    Date: Thu, 29 Apr 2010 11:44:10 -0600
    From: [email protected]
    To: [email protected]
    Subject: How can I use LCCS with ActionScript 3 and Flash CS4?
    Hi,
    Welcome to the LCCS world.
    Please refer to the SDK's sampleApps folder. There would be an app called FlashUserList. The app demonstrates how LCCS can be used with Flash CS4. Its a  pretty basic app, but should help you moving.
    We are trying to improve our efforts to help developers in understanding our samples. Please do let us know if we can add something that would help others.
    Thanks
    Arun
    >

  • How can I use Bluetooth with another devices?

    How can I use Bluetooth with another devices?

    You can set up your FaceTime account in Settings > FaceTime.

  • How can i update my old 2006 iMac Intel core 2 duo running 10.6.8 to OSX Lion so that I can sync using iCloud with my newer devices?  Mountain Lion is not an option for my older model and Lion is no longer available at App store.

    How can i update my old 2006 iMac Intel core 2 duo running 10.6.8 to OSX Lion so that I can sync using iCloud with my newer devices?  Mountain Lion is not an option for my older model and Lion is no longer available at App store. 

    Call Apple's online store's telesales agents: 1-800-MY-APPLE (1-800-692-7753) or Customer Service and Sales Support at 1-800-676-2775. For Lion you'll get a redemptions code via e-mail and need to DL from the Mac Apple Store (requires SL 10.6.6+).

  • Can i use pandrive with iPad, i want to access word, excel, pdf files on iPad via pandrive

    Can i use pandrive with iPad, i want to access word, excel, pdf files on iPad via pandrive

    You cannot use pendriver.
    Have a look at the following:
    http://itunes.apple.com/sg/app/quickoffice-pro-hd-edit-office/id376212724?mt=8&l s=1
    http://itunes.apple.com/sg/app/office2-hd/id364361728?mt=8&ls=1
    http://itunes.apple.com/sg/app/documents-to-go-premium-office/id317107309?mt=8&l s=1
    http://itunes.apple.com/sg/app/polaris-office/id513188658?mt=8&ls=1

  • My iPhoto icon has a cross over it, when i open it, it You have "iPhoto" 9.2.1. you can't use this with this version of OSX? it used to work ?what's gone wrong?

    my iPhoto icon has a cross over it, when i open it, it You have “iPhoto” 9.2.1. you can't use this with this version of OSX? it used to work ?what's gone wrong?

    iPhoto 9.2.3 is incompatible with MacOS 10.9.3 Mavericks. If you are running Mavericks on your system you need to update iPhoto to 9.5.1. Only, the problem is, that this version is no longer available at the App Store.
    The easiest way to get a compatible iPhoto version in that case would be to upgrade to Yosemite, MacOS X 10.10, and then download the most recent iPhoto version from the AppStore, iiPhoto 9.6, like LarryHN suggested.
    If you cannot download iPhoto after upgrading to iPhoto 9.6 post back.

Maybe you are looking for

  • How do I update to the current Maverics from Snow Leopard

    I've been checking the Maveric downloads and it seems I need previous upgrades in order to download 10.2.x.  Is it necessary to progressively download every version or is there a short cut?  Right now I have Snow Leopard. --- 21" iMac, late 2009, OSX

  • G62-361TX Upgrading RAM

    HI, I have HP G62-361 TX laptop. I want to upgrade my RAM as i use it for 3D softwares and multi tasking.  On Crucial.com it shows its 8 GB upgradeable. I am thinking to buy 8GB (1 X 8GB)RAM and then will add 2 GB of my old Ram.  I searched lot on go

  • Problems with Arrowpoint cookies for clients behind a Proxy

    I have in a WebSite clients being load balanced using Arrowpoint cookies to a virtual Server. The CSS load balance between three Apache real servers. I have some clients that are behind some kind of Proxy Cache and I have seen with a sniffer that the

  • OBIEE Dashboard no data

    Hello, Ive done a complete ETL run of the HR workforce profile in DAC from a Peoplesoft HCM source. In BI administrator ive loaded the repository OracleBIAnalyticsApps and set the connections variables. Ive imported this repository in Enterprise Mana

  • EMET 5 StackPivot incompatible with 7-zip File Manager 7zFM.exe ?

    Can anyone reproduce this issue? With StackPivot mitigation enabled for 7zFM.exe we can't open the 7-zip File Manager. We can produce the issue with Windows 7 x86, using EMET 5.0.5324.31804 and 7-Zip 9.20 There is no EMET notification via the taskbar